Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.calculatecount
Class CalculateCountSingleStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<CalculateCountStatisticPoint>
          org.optaplanner.benchmark.impl.statistic.calculatecount.CalculateCountSingleStatistic

    public class CalculateCountSingleStatistic

extends SingleStatistic<CalculateCountStatisticPoint>

Field Summary

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`singleBenchmarkResult, statisticType`

Constructor Summary
`CalculateCountSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`
`CalculateCountSingleStatistic(SingleBenchmarkResult singleBenchmarkResult, long timeMillisThresholdInterval)`

Method Summary
`void` | `close(Solver solver)`
`protected CalculateCountStatisticPoint` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`protected String` | `getCsvHeader()`
`List<CalculateCountStatisticPoint>` | `getPointList()`
`void` | `open(Solver solver)`
`void` | `setPointList(List<CalculateCountStatisticPoint> pointList)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`getCsvFile, getCsvFilePath, getStatisticType, readCsvStatisticFile, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalculateCountSingleStatistic

    public CalculateCountSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

### CalculateCountSingleStatistic

    public CalculateCountSingleStatistic(SingleBenchmarkResult singleBenchmarkResult,
                                         long timeMillisThresholdInterval)

Method Detail

### getPointList

    public List<CalculateCountStatisticPoint> getPointList()

  Specified by:
    `getPointList` in class `SingleStatistic<CalculateCountStatisticPoint>`

### setPointList

    public void setPointList(List<CalculateCountStatisticPoint> pointList)

  Specified by:
    `setPointList` in class `SingleStatistic<CalculateCountStatisticPoint>`

### open

    public void open(Solver solver)

  Specified by:
    `open` in class `SingleStatistic<CalculateCountStatisticPoint>`

### close

    public void close(Solver solver)

  Specified by:
    `close` in class `SingleStatistic<CalculateCountStatisticPoint>`

### getCsvHeader

    protected String getCsvHeader()

  Specified by:
    `getCsvHeader` in class `SingleStatistic<CalculateCountStatisticPoint>`

### createPointFromCsvLine

    protected CalculateCountStatisticPoint createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                                  List<String> csvLine)

  Specified by:
    `createPointFromCsvLine` in class `SingleStatistic<CalculateCountStatisticPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.